Bug 844158 - [engine][setupNetworks] Fix can do action messages to display details
[engine][setupNetworks] Fix can do action messages to display details
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Mike Kolesnik
Meni Yakove
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-29 08:58 EDT by Mike Kolesnik
Modified: 2016-02-10 14:49 EST (History)
9 users (show)

See Also:
Fixed In Version: si14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Kolesnik 2012-07-29 08:58:49 EDT
Description of problem:
Can do action failures for Setup Networks will return vague messages that don't specify any identifier on who is the culprit.
This may cause several of the same message type to appear without being able to tell what actually caused it.

Need to consolidate the error messages so that they will return a list of the offenting entities (usually networks or nics).


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mike Kolesnik 2012-08-06 09:41:22 EDT
http://gerrit.ovirt.org/#/c/6950/
Comment 4 Meni Yakove 2012-08-16 07:21:04 EDT
Tested on rhevm-3.1.0-12.el6ev.noarch, vdsm-4.9.6-28.0.el6_3.x86_64.

Tried few CanDoAction error actions.

Note You need to log in before you can comment on or make changes to this bug.